Subject: RE: restoration time requirement (was Re: Last Call on RSVP Labe lAllocation for Backup Tunnels)

From: Heiles Juergen <[email-masked]>
Date: Tue, 10 Apr 2001 09:36:21 +0200

Curtis, Paul,

my original comment was based on the assumption that Curtis was talking about dropping a SDH/SONET connection as in the PSTN. If a connection is dropped in the PSTN you have to redial in order to establish the connection again. This is not the case for SONET/SDH networks with provisioned connections.
I agree that the defect detction times are an issue for stacked proection/restoration. That is why I used the term "reaction time" and not "switching time".

Regards

Juergen

> -----Original Message-----
> From:	Paul Bonenfant [SMTP:[email-masked]]
> Sent:	Monday, April 09, 2001 4:00 PM
> To:	Heiles Juergen
> Cc:	[email-masked]'; Lazer, Monica A, NNAD; [email-masked]'; [email-masked]; [email-masked]; [email-masked]; t1x1.5
> Subject:	Re: restoration time requirement (was Re: Last Call on RSVP  LabelAllocation for Backup Tunnels)
> 
> Jeurgen,
> 
> Can't resist (apologies to all for the long message)...
> 
> You wrote:
> >
> > Stacked protection/restoration:
> > If you use protection/restoration at an optical network layer 
> > (server) and a SONET/SDH network layer (client) the server layer 
> > switching times should be faster than the client layer reaction 
> > times, so that the server layer does the protection/restoration 
> > and the client layer doesn't react.
> > 
> 
> But as you no doubt well know, by far all the installed legacy 
> SONET/SDH kit (that the unfortunate carriers are yearning to get 
> rid of, and which will disappear over time...sorry, I digress...) 
> detects:
> - LOS/LOF on the order of 2.3-100 microseconds (LOS for SONET, 
>   thanks to Bellcore/Telcordia GR-253, unless it's been revised), 
> or 
> - 375 microseconds (LOF for SDH -- Maarten please correct me if 
>   I'm wrong, I know you're out there).
> 
> So for the server (optical) layer switching time to be faster 
> than the client (SONET/SDH) layer reaction time, the optical 
> layer would have to restore well within, say, 1 millisecond.
> 
> And, in this context, "switching time" may include (depending 
> upon the particular flavour of optical layer protection/restoration
> implemented): detection-time + signaling-time (for 1+1 bidirectional
> or shared protection, or restoration) + bridging&switching-time.
> To do all that in less than 1 msec is a tall order for any layer.
>   
> Maybe I'm beating a long dead horse here, but this now aging
> issue of "optical layer restoration occurring faster than the
> SONET/SDH reaction time" keeps cropping up...for a shameless plug
> thinly veiled as bit of history, see:
> - J. Manchester and P. Bonenfant, "Fiber Optic Network Survivability: 
>   SONET/Optical Protection Layer Interworking," Proc. of NFOEC'96, 
>   Denver, CO, 1996.
> (If interested, reply off-list to find out how to get a copy. I know,
> referenced material should be posted as either an IETF draft or T1X1 
> contribution to make it more readily available, sorry.)
> 
> Juergen, I agree that this is an issue of concern (albeit not new).
> Potential solutions to the SONET/SDH-Optical protection layer inter-
> working problem include:
> - Do nothing (e.g., allow both the SONET/SDH & Optical & perhaps even
>   other layers to react to the failure...not an attractive approach 
>   unless chaos is an option)
> - Implement appropriate holdoff time(s) in one or more of the layers 
>   (again not attractive as it delays restoration if the failure 
>   actually occurs at that layer...also, the holdoff times get 
>   progressively longer in the higher layers)
> - Inter-layer signaling (see, for example, ANSI T1X1.5/97-080, 
>   "Protected Domain Boundary Delineation," June 1997:
>   ftp://ftp.t1.org/pub/t1x1/x15.97/7x150800.pdf
>   -- an elegant solution, but never gained any traction thanks to 
>      the mess associated with inter-layer signaling) 
> - Avoid direct overlay of survivability schemes with similar 
>   restoration time-scales (tends to be what is done in practice)> 
> - Coordinate protection layer interworking via a common control plane 
>   across all the network layers (e.g., GMPLS?), as discussed briefly 
>   (for example) in Sec 3.2.3 of:
>   http://www.ietf.org/internet-drafts/draft-ghani-optical-rings-01.txt
> (again for the reference-minded the above discussion can be found in 
> "Optical Layer Protection and Restoration," OFC'2001 Short Course 
> SC113/153, Mar. 2001, or "Tutorial on Optical Layer Protection and 
> Restoration," Proc. of OFC'1999, Paper FF-1, Feb. 1999). 
>   
> 
> As for the appropriate restoration time requirement...for what it's
> worth, 50 msec, insofar as it remains an historical artifact, also
> continues to be the "psychological" bar that optical netwoking 
> protection & restoration schemes have to meet, if for no other 
> reason than the following, prevailing view -- "the new & improved 
> (optical networking) technology should provide at least as good, 
> if not better, performance than what preceded it (SONET/SDH)."   
> 
> Psychological bars notwithstanding, what then is the appropriate 
> restoration time requirement?  I for one would be interested in 
> hearing from (even more) carriers regarding which latency-sensitive 
> applications actually drive the 50msec-range protection/restoration 
> requirements (my guess: it's not (only) voice).
> 
> Regards,
> 
> Paul   
> 
> Heiles Juergen wrote:
> > 
> > Curtis
> > 
> >         >Then again, this is second hand, so I could be completely wrong. This is not a measurement I've made myself and the SONET equipment is not something I'm familiar with ....
> > 
> > you are completely wrong and I suggest you better make measurments and get familiar with SONET before making such statements.. SONET/SDH equipment will not shut down/drop connections. Today SONET connections are permanent connections setup via the management system. An automatic drop of a conneciton as it is the case for switched connections will not occur. What you will see is the insertion of AIS (alarm indication signal) after the detection of an defect. But as soon as the defect is gone the AIS is removed and the connection is running again. AIS is nothing harmful as due to the defect the connection is interupted in any case. Furthermore the AIS avoids downstream alarms (alarm storms).
> > 
> > What could be of concern are the following points. I talk about a server layer for a SONET/SDH network  (e.g. an Optical Network) providing protection/restoration:
> > 
> > Stacked protection/restoration:
> > If you use protection/restoration at an optical network layer (server) and a SONET/SDH network layer (client) the server layer switching times should be faster than the client layer reaction times, so that the server layer does the protection/restoration and the client layer doesn't react.
> > 
> > Automatic power reduction/automatic laser shutdown APR/ALS
> > APR is used for safety reasons in order to avoid harmful emission of laser light in case of a fiber cut. One implementation switches off the transmit laser in case of loss of signal at the receiver. A restart action which is triggered automatically in intervals of several seconds is required in order to test if the link is repaired. Normally the APR function can be switched off if not needed. The APR function needs some careful consideration in case of protection/restoration and automatic connection setup in all optical networks.
> > 
> > Regards
> > 
> > Juergen
> > 
> > > -----Original Message-----
> > > From: Curtis Villamizar [SMTP:[email-masked]]
> > > Sent: Monday, April 09, 2001 4:37 AM
> > > To:   Lazer, Monica A, NNAD
> > > Cc:   [email-masked]'; [email-masked]; [email-masked]; [email-masked]
> > > Subject:      restoration time requirement (was Re: Last Call on RSVP Label Allocation for Backup Tunnels)
> > >
> > >
> > > In message <[email-masked]>, "L> 
> > > azer, Monica A, NNAD" w> rites:
> > > > Voice switches will drop the connections after 2.5 seconds. A large number
> > > > of dropped calls will cause FCC reportable events, which is something that
> > > > US carriers need to avoid. So restoration within this time frame is needed
> > > > for support of trunks carrying voice traffic.
> > > >
> > > > Monica A. Lazer
> > > > Advanced Transport Technology and Architecture Planning
> > > >
> > > > 908 234 8462
> > > > [email-masked]
> > >
> > >
> > > Monica,
> > >
> > > We're off topic, so I changed the subject.
> > >
> > > Thanks for providing the 2.5 second figure.
> > >
> > > I've heard carrier transport people grumble about SONET equipment
> > > they'd be please to get rid of that will shut down even when used as
> > > linear SONET with no protect path and as a result would require
> > > <100msec restoration.  Since there is enough of this SONET gear, the
> > > carriers can't really get rid of it although it will probably
> > > disappear over time and so they will make fast restoration a
> > > requirement of people they buy from.  To be safe, the request for
> > > <50msec has been made.
> > >
> > > If you are not blessed with such equipment or you are able to work
> > > around it when doing VoIP, then you are among the fortunate.
> > >
> > > Then again, this is second hand, so I could be completely wrong.  This
> > > is not a measurement I've made myself and the SONET equipment is not
> > > something I'm familiar with such that I could say with confidence that
> > > it could not be configured to hold on longer or to not shut down at>
> > > all if there was no protect.
> > >
> > > OTOH there are those who (claim to) want to configure SONET on some
> > > links but not on others and don't want a fast restoration.  They want
> > > to be assured that restoration will occur only after it is safe to
> > > assume that SONET restoration is not available.
> > >
> > > Curtis